/**
 * Reactions to posts with emojis
 * @module Reactions
 * @group Posts
 */
import type { PostList } from './usePosts';
export interface AuthorList {
    [key: string]: string;
}
export declare function useReactions(authors: AuthorList): {};
export declare function countRating(authors: AuthorList): number;
export declare function useUserPosts(pub: string): PostList;
